Package Details: saga-gis 7.5.0-2

Git Clone URL: https://aur.archlinux.org/saga-gis.git (read-only, click to copy)
Package Base: saga-gis
Description: A Geographic Information System (GIS) software with immense capabilities for geodata processing and analysis.
Upstream URL: http://www.saga-gis.org
Keywords: GeoSpatial GIS
Licenses: GPL3
Submitter: None
Maintainer: geosam
Last Packager: geosam
Votes: 11
Popularity: 0.000000
First Submitted: 2007-07-16 01:57
Last Updated: 2020-01-09 21:45

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 7 8 Next › Last »

saultdon commented on 2014-08-17 18:54

The latest build of wxgtk 3.0.1-2 from extra now excludes --enable-stl

Alister.Hood commented on 2014-05-10 11:33

Oh, sorry - I see your "hesitant" description.

Alister.Hood commented on 2014-05-10 11:31

For the record, the word from the saga people was that the requirement for no Stl was for good reason, and you're best trying to get that changed, wasn't it?

geosam commented on 2014-05-10 01:12

SAGA GIS v2.1.2 does not work with GDAL 1.11.0.

geosam commented on 2014-02-24 21:21

Thanks for your help @saultdon. I managed to compile SAGA GIS packages creating new wxGTK and wxPython disabling --enable-stl flag, as you mention in a previous post. However, I can not share the update until the problem of the compilation is corrected, either from SAGA GIS or from wxGTK. I see more feasible that we request the correction from SAGA GIS project.

sl1pkn07 commented on 2014-02-24 19:07

why not open issue into saga-gis bugtracker?

http://sourceforge.net/p/saga-gis/bugs/

saultdon commented on 2014-02-24 16:22

Oh, and in the next saga-gis build, it's safe to remove webkitgtk2 as a dependency because it's been added as a dependency to wxgtk. It should get picked up now (it isn't a dependency for wxgtk2.8, which isn't used by saga-gis anymore too).

saultdon commented on 2014-02-24 16:19

@geosam

I did email the package maintainer and they said they could "absolutely" not submit a new package without --enable-stl =( I'll watch your bug report though.

It may create a push for saga developers to update their entire code base for STL compatibility... But they are hesitant to do that as well.

geosam commented on 2014-02-24 15:59

I have reported possibility to disable the option in wxGTK (--enable-stl) and thereby achieve compile the new version of SAGA GIS.

https://bugs.archlinux.org/task/39030

saultdon commented on 2014-01-20 14:21

SAGA 2.1.1 builds but you have to rebuilt wxgtk 3.0.0 without the --enable-stl flag.

https://sourceforge.net/p/saga-gis/discussion/354013/thread/f8d8a47a/